This server has been deleted from the list and is available only for archival purposes.
chevron_left Back to List

[Tekkit Lite] [0.5.7] [Bukkit Plugins] Skyvi


Version: Tekkit Lite - 0.5.7 for Minecraft 1.4.7

Tekkit Lite does not mean less mods so join today for your ultimate Tekkit Lite experience.

How to connect: To connect to Skyvi you need the technic launcher which you can get from Once downloaded be sure to select the tekkit lite pack. Select options and make sure you have the correct version listed above.

There are no reviews for this server yet, you can be the first!